﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using System.IO.Ports;

namespace ComUtil
{
    public partial class SetComForm : Form
    {
        public SetComForm()
        {
            InitializeComponent();
            portName = "";
        }

        private string portName;

        private const int MaxPort = 128;

        //public uint Port {
        //    get {
        //        return port;
        //    }

        //    set {
        //        port = value;
        //    }
        //}

  

        public string PortName {
            get {
                return portName;
            }

            set {
                portName = value;
            }
        }

        private void SetComForm_Load(object sender, EventArgs e)
        {


            int i;
            int selIndex = -1;

            string[] portNames = SerialPort.GetPortNames();

            int n = portNames.Length;

            for (i = 0; i < n; i++)
            {
                if (portNames[i] == portName)
                {
                    selIndex = i;
                }
                comboBoxComPort.Items.Add(portNames[i]);

            }
            if (selIndex < 0)
            {
                comboBoxComPort.Items.Add(portName);
                selIndex = i;
            }
            comboBoxComPort.SelectedIndex = selIndex;
        }

        private void IDOK_Click(object sender, EventArgs e)
        {
            portName = comboBoxComPort.Text;
            this.DialogResult = DialogResult.OK;
            this.Close();
        }
    }
}
